> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thanx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Points Products

> This endpoint returns the configured points products.

<Note>
  Please review proper request headers [here](/consumer/usage/headers).
</Note>

### Parameters

<ParamField query="merchant_id" type="string">
  Only return points products configured for this merchant
</ParamField>

<ParamField query="points_experience_id" type="string">
  Only return points products configured for this points experience
</ParamField>

### Response

<Snippet file="entities/points-product.mdx" />

<RequestExample>
  ```bash Get Points Products theme={null}
  curl https://api.thanxsandbox.com/points_products \
    -X GET \
    -H "Content-Type: application/json"  \
    -H "Accept-Version: v4.0" \
    -H "Accept: application/json" \
    -H "Authorization: Bearer ${token}" \
    -H "X-ClientId: ${client_id}" 
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "points_products": [
      {
        "id": "9xw6543wh8jmde0",
        "olo_uid": "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmn",
        "points_experience_id": "590485d6f0",
        "cost": 10,
        "exchange_start_at": "2022-01-02T00:00:01.000Z",
        "exchange_end_at": "2022-02-02T00:00:01.000Z",
        "fine_print": "...",
        "redeem": {
          "type": "manual",
          "venue": "instore",
          "window": 60,
          "text": "Onion rings",
          "detail": "Crispy, golden brown and bursting with flavor, our onion rings are the perfect addition to any meal.",
          "restrictions": "Redemption restriction description"
        },
        "valid_locations": [
          "80925z17h8j7vmk"
        ],
        "image": {
          "small": "https://...png",
          "default": "https://...png",
          "large": "https://...png"
        },
        "uses_dynamic_coupon_codes": false
      }
    ]
  }
  ```
</ResponseExample>
